Endpoints
Get collaborators
Retrieve a list of collaborators with optional filtering and pagination
GET
/
v1
/
collaborators
Get collaborators
curl --request GET \
--url https://api.capitalcheckin.app/v1/collaborators \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.capitalcheckin.app/v1/collaborators', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.capitalcheckin.app/v1/collaborators"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.capitalcheckin.app/v1/collaborators",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": [
{
"id": "<string>",
"name": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"position": "<string>",
"department": "<string>",
"status": "active",
"role": "admin",
"hire_date": "2023-12-25",
"salary": 123,
"manager_id": "<string>",
"work_schedule": "<string>",
"location": "<string>",
"avatar_url": "<string>",
"emergency_contact": {
"name": "<string>",
"phone": "<string>",
"relationship": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"meta": {
"total": 123,
"page": 123,
"per_page": 123,
"total_pages": 123,
"has_next": true,
"has_prev": true
}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}Authorizations
OAuth2 access token for authentication
Query Parameters
Page number
Items per page
Required range:
x <= 100Filter by status
Available options:
active, inactive, pending Filter by department
Search in name, email, or position
⌘I
Get collaborators
curl --request GET \
--url https://api.capitalcheckin.app/v1/collaborators \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.capitalcheckin.app/v1/collaborators', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.capitalcheckin.app/v1/collaborators"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.capitalcheckin.app/v1/collaborators",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": [
{
"id": "<string>",
"name": "<string>",
"email": "jsmith@example.com",
"phone": "<string>",
"position": "<string>",
"department": "<string>",
"status": "active",
"role": "admin",
"hire_date": "2023-12-25",
"salary": 123,
"manager_id": "<string>",
"work_schedule": "<string>",
"location": "<string>",
"avatar_url": "<string>",
"emergency_contact": {
"name": "<string>",
"phone": "<string>",
"relationship": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"meta": {
"total": 123,
"page": 123,
"per_page": 123,
"total_pages": 123,
"has_next": true,
"has_prev": true
}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}